Package Details: python-pyee 7.0.1-1

Git Clone URL: https://aur.archlinux.org/python-pyee.git (read-only, click to copy)
Package Base: python-pyee
Description: A port of node.js's EventEmitter to python.
Upstream URL: https://github.com/jfhbrook/pyee
Keywords: python
Licenses: MIT
Submitter: qlonik
Maintainer: jfhbrook
Last Packager: jfhbrook
Votes: 2
Popularity: 0.000653
First Submitted: 2015-06-23 01:47
Last Updated: 2020-02-03 20:07

Latest Comments

ocelot commented on 2020-02-11 00:58

I got this error and it was fixed by installing python-wheel:

WARNING: The wheel package is not available.
  ERROR: Command errored out with exit status 1:
   command: /usr/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-wheel-q1jdo_xi/vcversioner/setup.py'"'"'; __file__='"'"'/tmp/pip-wheel-q1jdo_xi/vcversioner/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d /tmp/pip-wheel-1s98ir3z
       cwd: /tmp/pip-wheel-q1jdo_xi/vcversioner/
  Complete output (6 lines):
  usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
     or: setup.py --help [cmd1 cmd2 ...]
     or: setup.py --help-commands
     or: setup.py cmd --help

  error: invalid command 'bdist_wheel'
  ----------------------------------------
  ERROR: Failed building wheel for vcversioner
ERROR: Failed to build one or more wheels
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/setuptools/installer.py", line 128, in fetch_build_egg
    subprocess.check_call(cmd)
  File "/usr/lib/python3.8/subprocess.py", line 364, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpinas729o', '--quiet', 'vcversioner']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 11, in <module>
    setup(
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 144, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 139, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 718, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 780, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1065, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1077, in obtain
    return installer(requirement)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 777, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/lib/python3.8/site-packages/setuptools/installer.py", line 130, in fetch_build_egg
    raise DistutilsError(str(e))
distutils.errors.DistutilsError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpinas729o', '--quiet', 'vcversioner']' returned non-zero exit status 1.

I also got these warnings after installing python-wheel:

warning: could not get file information for usr/lib/python3.7/site-packages/pyee-6.0.0-py3.7.egg-info/
warning: could not get file information for usr/lib/python3.7/site-packages/pyee-6.0.0-py3.7.egg-info/PKG-INFO
warning: could not get file information for usr/lib/python3.7/site-packages/pyee-6.0.0-py3.7.egg-info/SOURCES.txt
warning: could not get file information for usr/lib/python3.7/site-packages/pyee-6.0.0-py3.7.egg-info/dependency_links.txt
warning: could not get file information for usr/lib/python3.7/site-packages/pyee-6.0.0-py3.7.egg-info/top_level.txt
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/__pycache__/__init__.cpython-37.opt-1.pyc
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/__pycache__/_asyncio.cpython-37.opt-1.pyc
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/__pycache__/_asyncio.cpython-37.pyc
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/__pycache__/_base.cpython-37.opt-1.pyc
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/__pycache__/_base.cpython-37.pyc
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/__pycache__/_compat.cpython-37.opt-1.pyc
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/__pycache__/_compat.cpython-37.pyc
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/__pycache__/_executor.cpython-37.opt-1.pyc
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/__pycache__/_executor.cpython-37.pyc
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/__pycache__/_twisted.cpython-37.opt-1.pyc
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/__pycache__/_twisted.cpython-37.pyc
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/_asyncio.py
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/_base.py
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/_compat.py
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/_executor.py
warning: could not get file information for usr/lib/python3.7/site-packages/pyee/_twisted.py

Likely related to me using Python 3.8.

qlonik commented on 2019-04-06 05:36

Sorry, I didn't follow the updates to the project.

Since this is my project and I know when it gets updated I'd also be happy to take over maintenance of this package.

Sounds good

jfhbrook commented on 2019-04-06 05:20

Can we get a bump on this? Version 5 went out in Nov 2018, that's been 3 years of fixes and updates.

Also the repo is at https://github.com/jfhbrook/pyee now.

Since this is my project and I know when it gets updated I'd also be happy to take over maintenance of this package.